// SLIDER
var swiper = new Swiper(".hop-storis_in", {
    slidesPerView: "1",
    effect: "fade",
    spaceBetween: 0,
    lazy: true,
    loop: true,
    watchSlidesProgress: true,
    autoplay: {
        delay: 5000,
        disableOnInteraction: false,
    },
    pagination: {
        el: ".swiper-pagination",
        clickable: true,
    },
});

// MODAL v0.2
$(document).ready(function() { 
    $('a[name=modal]').click(function(e) {
        e.preventDefault();
        var modal = $(this).attr('href');
        $(modal).fadeIn(100);
        $('.e-overlay').fadeIn(100);
    });
    $('.modal > i, .modal-close').click(function (e) {
        e.preventDefault();
        $('.modal, .e-overlay').fadeOut(100);
    });
    $("a[href='#reg'], a[href='#lost']").click(function () {
        $("#login").fadeOut(100);
    });
});


// HEADER SEARCH
$(".header-search_icon, .header-search_close").click(function () {
    $('.header-search').toggleClass('active').trigger("click").focus();
});

// HEADER USER
$('.header-user').on('click', function(){
	$('.header-user').toggleClass('active');
});

$(document).on("click", function (e) {
    if (!$(e.target).closest(".header-user").length) {
        $(".header-user").removeClass("active");
    }
    e.stopPropagation();
});

// MOBILE MENU
$("body").append('<div class="e-overlay hidden"></div>');

$('.mobmenu-btn').on('click', function(){
	$('.mobmenu, .mobmenu-btn, .e-overlay').toggleClass('active');
});

$(".header-menu_sub a").on("click", function () {
    $(this).toggleClass("active");
});

$(document).on("click", function (e) {
    if (!$(e.target).closest("header").length) {
        $(".mobmenu, .mobmenu-btn, .e-overlay").removeClass("active");
    }
    e.stopPropagation();
});

// COMMENT DET
$('.dle-comm_det').on('click', function(){
	$(this).toggleClass('active');
});

$(document).on("click", function (e) {
    if (!$(e.target).closest(".dle-comm_det").length) {
        $(".dle-comm_det.active").removeClass("active");
    }
    e.stopPropagation();
});