<!DOCTYPE html>
<html lang="ru">
    <head>
        {headers}
        <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, user-scalable=0" />
        <link rel="shortcut icon" href="{THEME}/images/favicon.png" />
        <link rel="manifest" href="manifest.webmanifest">
        <link rel="stylesheet" href="https://site-assets.fontawesome.com/releases/v6.4.0/css/all.css">
        <link rel="preconnect" href="https://fonts.googleapis.com">
		<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
		<link href="https://fonts.googleapis.com/css2?family=Geologica:wght@300;400;600;700&display=swap" rel="stylesheet">
        <link href="{THEME}/css/swiper.min.css" type="text/css" rel="stylesheet" />
        <link href="{THEME}/css/eassistant.css" type="text/css" rel="stylesheet" />
        <link href="{THEME}/css/engine.css" type="text/css" rel="stylesheet" />
        <link href="{THEME}/css/styles.css" type="text/css" rel="stylesheet" />
</head>
    <body>
        {AJAX}
        <div class="wrapper">
            {include file="main-header.tpl"} 
            [available=main]<div class="content">{include file="main-page.tpl"}</div>[/available]
            [not-available=main|cat|lastnews|xfsearch|favorites|tags|newposts|search]<div class="content container">{info}{content}</div>[/not-available]
            [available=cat|lastnews|xfsearch|favorites|tags|newposts|search]
            <div class="content container">
                [aviable=cat]<h1>{category-title}</h1><p>{category-description}</p>[/aviable]
                [aviable=favorites]<h1>Закладки</h1>[/aviable]
            	[aviable=lastnews]<h1>Новое на сайте</h1>[/aviable]
            	[aviable=xfsearch]<h1>{page-title}</h1><p>{page-description}</p>[/aviable]
                <div class="e-grid3">{info}{content}</div>
            </div>
            [/available]
            {include file="main-footer.tpl"} 
        </div>

        <script src="{THEME}/js/swiper.min.js"></script>
        <script src="{THEME}/js/libs.js"></script>
        <script>
    	if ("serviceWorker" in navigator) {
  			navigator.serviceWorker
    		.register("/pwa.js")
    		.then(serviceWorker => {
      			console.log("Service Worker registered: ", serviceWorker);
    		})
    		.catch(error => {
      		console.error("Error registering the Service Worker: ", error);
    		});
		}
		</script>
    </body>
</html>